Subject: bug#48804: 27.2; compilation emacs on macOS

From: Andrea Corallo <[email-masked]>
Date: Thu, 03 Jun 2021 07:57:35 +0000

Niels Søndergaard <[email-masked]> writes:

> The configure sends a link, but I can’t find the source to compile out
> of that,

Hi Niels,

have you opened the link? The source is just there in the page.

> neither can I understand, what the
> “smoke” test is.

The smoke test is just trying to use libgccjit to compile and run a
function returning an integer of a certain value.

Once you'll have tried compiling and running the example in the
suggested link I guess you'll see what the configure script is seeing
that is your libgccjit installation is not functional for some reason.

Regards

  Andrea